import type { Ref } from 'vue-demi';
import type { FieldNames } from '../Select';
/**
 * Parse `children` to `options` if `options` is not provided.
 * Then flatten the `options`.
 */
export default function useOptions<OptionType>(options: Ref<OptionType[]>, children: Ref<any>, fieldNames: Ref<FieldNames>): {
    options: import("vue-demi").ShallowRef<any>;
    valueOptions: import("vue-demi").ShallowRef<any>;
    labelOptions: import("vue-demi").ShallowRef<any>;
};
